# Generated by Django 3.0.4 on 2020-04-04 17:28

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import edc_model.models.fields.date_estimated
import edc_model.models.fields.other_charfield
import edc_model.validators.date


class Migration(migrations.Migration):

    dependencies = [
        ("inte_lists", "0001_initial"),
        ("inte_subject", "0024_auto_20200404_1957"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="historicalhivinitialreview", name="art_initiation_date",
        ),
        migrations.RemoveField(
            model_name="historicalhivinitialreview",
            name="art_initiation_date_estimated",
        ),
        migrations.RemoveField(
            model_name="historicalhivinitialreview", name="last_viral_load",
        ),
        migrations.RemoveField(
            model_name="historicalhivinitialreview", name="vl_date_estimated",
        ),
        migrations.RemoveField(
            model_name="hivinitialreview", name="art_initiation_date",
        ),
        migrations.RemoveField(
            model_name="hivinitialreview", name="art_initiation_date_estimated",
        ),
        migrations.RemoveField(model_name="hivinitialreview", name="last_viral_load",),
        migrations.RemoveField(model_name="hivinitialreview", name="treatment",),
        migrations.RemoveField(
            model_name="hivinitialreview", name="vl_date_estimated",
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="arv_initiation_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of start of antiretroviral therapy (ART)",
            ),
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="cd4",
            field=models.IntegerField(
                blank=True,
                help_text="cells/mm<sup>3</sup>",
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(3000),
                ],
                verbose_name="Last CD4",
            ),
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="cd4_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of last CD4",
            ),
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="current_arv_regimen",
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="+",
                to="inte_lists.ArvRegimens",
                verbose_name="Which antiretroviral therapy regimen is the patient currently on?",
            ),
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="other_current_arv_regimen",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If other, please specify ...",
            ),
        ),
        migrations.AddField(
            model_name="historicalhivinitialreview",
            name="viral_load",
            field=models.IntegerField(
                blank=True,
                help_text="copies/mL",
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(9999999),
                ],
                verbose_name="Last viral load",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="arv_initiation_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of start of antiretroviral therapy (ART)",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="cd4",
            field=models.IntegerField(
                blank=True,
                help_text="cells/mm<sup>3</sup>",
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(3000),
                ],
                verbose_name="Last CD4",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="cd4_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of last CD4",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="current_arv_regimen",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="current_arv_regimen",
                to="inte_lists.ArvRegimens",
                verbose_name="Which antiretroviral therapy regimen is the patient currently on?",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="other_current_arv_regimen",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If other, please specify ...",
            ),
        ),
        migrations.AddField(
            model_name="hivinitialreview",
            name="viral_load",
            field=models.IntegerField(
                blank=True,
                help_text="copies/mL",
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(9999999),
                ],
                verbose_name="Last viral load",
            ),
        ),
        migrations.AlterField(
            model_name="diabetesinitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiabetesinitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhivinitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhivinitialreview",
            name="viral_load_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of last viral load",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhypertensioninitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
        migrations.AlterField(
            model_name="hivinitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
        migrations.AlterField(
            model_name="hivinitialreview",
            name="viral_load_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Date of last viral load",
            ),
        ),
        migrations.AlterField(
            model_name="hypertensioninitialreview",
            name="diagnosis_date_estimated",
            field=edc_model.models.fields.date_estimated.IsDateEstimatedFieldNa(
                blank=True,
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="not_estimated",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                null=True,
                verbose_name="Is the diagnosis date estimated",
            ),
        ),
    ]
